## librsvg 2.48.2

=== debian/changelog ===
librsvg (2.48.2-1) unstable; urgency=medium

  * debian/control.in:
    - Build-Depends on libharfbuzz-dev, new configure.ac requirement

  [ Olivier Tilloy ]
  * New upstream release
  * Drop patch that was applied upstream
    (578-Link-the-C-tests-to-harfbuzz-so-they-can-call-hb_vers.patch)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 07 Apr 2020 22:23:36 +0200

librsvg (2.48.0-2) unstable; urgency=medium

  * Fix FTBFS in the tests due to missing link against libharfbuzz
    (Closes: #955264)
  * debian/control.in: Bump Standards-Version 4.5.0 (no further changes)
  * debian/control.in: Mark the -doc package with Build-Profiles: <!nodoc>,
    move the -doc package to BDI and add libgdk-pixbuf2.0-doc to it

 -- Laurent Bigonville <bigon@debian.org>  Wed, 01 Apr 2020 00:11:51 +0200
