=== debian/changelog ===
librsvg (2.48.9-1ubuntu0.20.04.4) focal-security; urgency=medium

  * SECURITY UPDATE: Arbitrary file read when xinclude href has special
    characters
    - debian/patches/CVE-2023-38633.patch: validate URLs in
      librsvg/rsvg-handle.c, rsvg_internals/src/allowed_url.rs,
      rsvg_internals/src/filters/component_transfer.rs, tests/*.
    - debian/patches/fix_old_rust_compat.patch: fix compatibility with
      older rust versions in rsvg_internals/src/allowed_url.rs.
    - CVE-2023-38633
  * Don't fail the build on tests error for i386

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 28 Jul 2023 08:56:58 -0400

librsvg (2.48.9-1ubuntu0.20.04.1) focal; urgency=medium

  * SRU new upstream release to focal (LP: #1903329)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 30 Nov 2020 18:08:14 +0100

librsvg (2.48.7-1ubuntu0.20.04.1) focal; urgency=medium

  * SRU new upstream release to focal (LP: #1884326)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 19 Jun 2020 23:19:37 +0200

librsvg (2.48.7-1) unstable; urgency=medium

  * New upstream release
  * d/librsvg2-2.symbols: updated symbols for new/removed APIs

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 09 Jun 2020 14:35:19 +0200

librsvg (2.48.4+dfsg-1) unstable; urgency=medium

  * Team upload
  * d/rules: Fail the build early on Loongson-3A mips* hardware.
    This is apparently known to have FPU bugs that will break librsvg's
    tests, so don't even try. Mitigates: #959845
  * Skip invalid_viewbox test on 32-bit x86.
    This test appears to be failing on i386, possibly due to extended
    precision in the i387 FPU. Building with -mfpmath=sse might resolve this,
    but that isn't currently allowed in Debian due to our i386 baseline
    being 20 years old (in particular no SSE and no SSE2). (Closes: #959847)
  * d/watch: Force repacking without Windows archive files.
    Please use `uscan --download` to download new upstream releases with
    Files-Excluded taken into account.

 -- Simon McVittie <smcv@debian.org>  Mon, 11 May 2020 20:16:22 +0100

librsvg (2.48.4-1) unstable; urgency=medium

  * New upstream release

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 05 May 2020 16:37:03 +0200

librsvg (2.48.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump glib (build-)dependency to 2.50.0
  * debian/rules: Drop workaround for the tests on ppc*
    The package should now build fine on these architectures (Closes: #955845)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 21 Apr 2020 11:15:08 +0200
