=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: librsvg
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
                dh-cargo,
                gnome-pkg-tools (>= 0.10),
@@ -17,7 +18,7 @@
                libfreetype6-dev (>= 2.8.0),
                libgdk-pixbuf2.0-dev (>= 2.23.5-2),
                libgirepository1.0-dev (>= 0.10.8),
-               libglib2.0-dev (>= 2.24.0),
+               libglib2.0-dev (>= 2.50.0),
                libharfbuzz-dev,
                libpango1.0-dev (>= 1.38.0),
                libxml2-dev (>= 2.9.0),
@@ -39,7 +40,7 @@
 Depends: gir1.2-rsvg-2.0 (= ${binary:Version}),
          libcairo2-dev (>= 1.2.0),
          libgdk-pixbuf2.0-dev (>= 2.23.5-2),
-         libglib2.0-dev (>= 2.24.0),
+         libglib2.0-dev (>= 2.50.0),
          librsvg2-2 (= ${binary:Version}),
          librsvg2-common (= ${binary:Version}),
          ${misc:Depends}
