=== debian/watch ===
version=4
opts="repack,dversionmangle=s/[~+]dfsg[0-9]*//g" \
https://download.gnome.org/sources/@PACKAGE@/([\d\.]+[02468])/ \
	@PACKAGE@@ANY_VERSION@\.tar\.xz
