## librsvg 2.50.1+dfsg

=== debian/changelog ===
librsvg (2.50.1+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * d/librsvg2-2.symbols: updated symbols for new APIs

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 06 Oct 2020 16:01:21 +0200

librsvg (2.50.0+dfsg-1) unstable; urgency=medium

  [ Simon McVittie ]
  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 29 Sep 2020 15:09:38 +0200

librsvg (2.49.5+dfsg-1) experimental; urgency=medium

  * New upstream release

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 08 Sep 2020 18:03:49 +0200

librsvg (2.48.8+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Refresh patch series
  * d/copyright: Update
  * Revert checks for Loongson-3A mips* hardware.
    The root cause of #959845 is believed to have been avoided by disabling
    the madd.fmt instructions in llvm-toolchain-*.
  * d/copyright: Exclude HTML code coverage report from imported source
    - Add patch to avoid checksumming the excluded file
  * d/watch: Add a +dfsg suffix to the repacked tarball
  * d/copyright: Consolidate Rust modules into one stanza
  * d/librsvg2-2.lintian-overrides: Override tag for no compiler hardening.
    Rust code doesn't use C string concatenation, so it's not going to use
    the hardened versions either.

 -- Simon McVittie <smcv@debian.org>  Fri, 04 Sep 2020 14:47:04 +0100
