=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: librsvg
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
                dh-cargo,
@@ -23,7 +22,7 @@
                libpango1.0-dev (>= 1.38.0),
                libxml2-dev (>= 2.9.0),
                locales,
-               rustc (>= 1.26),
+               rustc (>= 1.40),
                valac (>= 0.17.5)
 Build-Depends-Indep: libcairo2-doc (>= 1.15.4) <!nodoc>,
                      libgdk-pixbuf2.0-doc (>= 2.23.5-2) <!nodoc>,
