=== debian/rules ===
--- 
+++ 
@@ -10,17 +10,6 @@
 	dh $@ --with gnome,gir
 
 override_dh_autoreconf:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	# Fail early on known-bad CPUs
-	case "$$(cat /proc/cpuinfo)" in \
-		(*Loongson-3A* | *Loongson-3?V0.5*) \
-			echo "librsvg's tests are known to fail on Loongson-3A CPUs due to FPU bugs" >&2; \
-			echo "See https://bugs.debian.org/959845" >&2; \
-			echo "Use a different buildd, or as a last resort, build with nocheck." >&2; \
-			exit 1; \
-			;; \
-	esac
-endif
 	dh_autoreconf --as-needed
 
 override_dh_auto_configure:
@@ -72,17 +61,12 @@
 	localedef -i en_US -f UTF-8 $(CURDIR)/debian/locales/en
 	localedef -i en_US -f UTF-8 $(CURDIR)/debian/locales/en_US
 	localedef -i de_DE -f UTF-8 $(CURDIR)/debian/locales/de
-ifneq ($(filter i386 s390x,$(DEB_HOST_ARCH_CPU)),)
-	LOCPATH=$(CURDIR)/debian/locales dh_auto_test -- TESTS=$(TESTS) || true
-	echo "ignoring tests result on i386"
-else
 	LOCPATH=$(CURDIR)/debian/locales dh_auto_test -- TESTS=$(TESTS)
 	find debian -name '*.log' \
 		-not -name config.log \
 		-not -name test-suite.log \
 		-print0 | xargs -0 tail -v -c1M
 endif
-endif
 
 override_dh_auto_test-indep:
 	@:
