## librsvg 2.50.3+dfsg

=== debian/changelog ===
librsvg (2.50.3+dfsg-1+deb11u1) bullseye-security; urgency=high

  * Team upload
  * d/gbp.conf: Branch for bullseye
  * d/p/996-Fix-arbitrary-file-read-when-href-has-special-charact.patch:
    Add patch from upstream 2.50.8 to fix a directory traversal
    vulnerability (Closes: #1041810, CVE-2023-38633)
  * d/p/Fix-compilation-on-rustc-1.40.0.patch:
    Add patch from upstream 2.50.9 to fix a build regression in the fix
    for #1041810
  * d/p/tests-Fix-build-with-older-Autotools.patch:
    Fix another build regression in the fix for #1041810

 -- Simon McVittie <smcv@debian.org>  Sun, 30 Jul 2023 19:11:45 +0100

librsvg (2.50.3+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fixes FTBFS with newer rustc (Closes: #976577)
  * (Build-)Depend on libgdk-pixbuf-2.0-dev in preference to
    transitional package libgdk-pixbuf2.0-dev
  * d/upstream/metadata: Add
  * d/copyright: Update
  * Drop patch and exclusion that are no longer needed
  * Standards-Version: 4.5.1 (no changes required)
  * Remove obsolete workarounds for backtrace-sys crate

 -- Simon McVittie <smcv@debian.org>  Fri, 29 Jan 2021 00:35:18 +0000

librsvg (2.50.2+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 23 Nov 2020 23:29:10 +0100
