=== debian/rules ===
--- 
+++ 
@@ -43,9 +43,6 @@
 override_dh_clean:
 	dh_clean
 	rm -fr $(CARGO_HOME)
-	if test -e vendor/backtrace-sys/.cargo-checksum.json.dist; then \
-		mv vendor/backtrace-sys/.cargo-checksum.json.dist vendor/backtrace-sys/.cargo-checksum.json; \
-	fi
 
 # Skip rsvg-tests which contain the reftests; they are tightly coupled to
 # specific versions of pixman, cairo, pango, and freetype. This list of
