=== debian/watch ===
version=4
opts="repack,dversionmangle=s/[~+]dfsg[0-9]*//g,repacksuffix=+dfsg" \
https://download.gnome.org/sources/@PACKAGE@/([\d\.]+)/ \
	@PACKAGE@@ANY_VERSION@\.tar\.xz
