## librsvg 2.50.7+dfsg

=== debian/changelog ===
librsvg (2.50.7+dfsg-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump Build-Depends on libpango1.0-dev to (>= 1.44.0)
    per upstream requirement

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 22 Jun 2021 16:35:11 +0200
