=== debian/control ===
--- 
+++ 
@@ -15,11 +15,11 @@
                jq,
                libcairo2-dev (>= 1.2.0),
                libfreetype6-dev (>= 2.8.0),
-               libgdk-pixbuf2.0-dev (>= 2.23.5-2),
+               libgdk-pixbuf-2.0-dev (>= 2.23.5-2) | libgdk-pixbuf2.0-dev (>= 2.23.5-2),
                libgirepository1.0-dev (>= 0.10.8),
                libglib2.0-dev (>= 2.50.0),
                libharfbuzz-dev,
-               libpango1.0-dev (>= 1.38.0),
+               libpango1.0-dev (>= 1.44.0),
                libxml2-dev (>= 2.9.0),
                locales,
                rustc (>= 1.40),
@@ -28,7 +28,7 @@
                      libgdk-pixbuf2.0-doc (>= 2.23.5-2) <!nodoc>,
                      libglib2.0-doc (>= 2.52.0) <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/librsvg
 Vcs-Git: https://salsa.debian.org/gnome-team/librsvg.git
 Homepage: https://wiki.gnome.org/Projects/LibRsvg
@@ -38,7 +38,7 @@
 Architecture: any
 Depends: gir1.2-rsvg-2.0 (= ${binary:Version}),
          libcairo2-dev (>= 1.2.0),
-         libgdk-pixbuf2.0-dev (>= 2.23.5-2),
+         libgdk-pixbuf-2.0-dev (>= 2.23.5-2) | libgdk-pixbuf2.0-dev (>= 2.23.5-2),
          libglib2.0-dev (>= 2.50.0),
          librsvg2-2 (= ${binary:Version}),
          librsvg2-common (= ${binary:Version}),
