=== debian/changelog ===
librsvg (2.52.5+dfsg-3ubuntu0.2) jammy-security; urgency=medium

  * SECURITY UPDATE: Arbitrary file read when xinclude href has special
    characters
    - debian/patches/CVE-2023-38633.patch: validate URLs in
      include/librsvg/rsvg.h, src/error.rs, src/lib.rs,
      src/url_resolver.rs, tests/*.
    - CVE-2023-38633
  * Don't fail the build on tests error for i386 (LP: #1976259)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 28 Jul 2023 08:55:53 -0400

librsvg (2.52.5+dfsg-3) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/rules: remove a test which is failing due to pango
    https://gitlab.gnome.org/GNOME/librsvg/-/issues/824

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 22 Jan 2022 06:21:00 -0500

librsvg (2.52.5+dfsg-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Adjust Lintian overrides
  * Standards-Version: 4.6.0 (no changes required)

  [ Jeremy Bicha ]
  * Bump debhelper-compat to 13
  * debian/control.in: Bump minimum rustc to 1.52
  * debian/control.in: Build-Depend on cargo instead of dh-cargo
  * Build-Depend on dh-sequence-gir & dh-sequence-gnome
  * debian/rules: Drop unneeded -Wl,--as-needed
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 21 Jan 2022 07:53:46 -0500

librsvg (2.52.5+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream release, required by GTK 4.6
  * Update patch series
  * d/copyright: Exclude a CC-BY-SA-2.0 test image.
    It's not clear whether CC-BY-SA-2.0 is DFSG-compliant (3.0 is, 1.0 isn't).
  * d/p/debian/tests-Replace-a-CC-BY-SA-2.0-test-image-with-a-simpler-on.patch,
    d/rules, d/clean, d/source/include-binaries, d/a-link-purple-bg.png:
    Replace CC-BY-SA-2.0-licensed test image with a simpler one
  * d/rules: Don't delete *.bak in dh_clean
  * d/p/Link-librsvg-with-libpthread-fixing-a-link-failure.patch:
    Link with libpthread
  * d/rules: Don't try to run tests that are no longer in the Automake build
    system
  * d/copyright: Update
  * d/librsvg2-2.install: Stop installing locales, no longer provided
  * d/librsvg2-2.symbols: Add new symbols
  * d/librsvg2-2.symbols: Ignore removal of private symbols
  * d/rules: Increase reftest tolerance for i386 due to i387 FPU
  * d/rules: Skip a problematic reftest on i386
  * Release to experimental for initial testing

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Jan 2022 19:00:55 +0000

librsvg (2.50.7+dfsg-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 12 Sep 2021 21:45:00 +0100
