=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Source: librsvg
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-cargo,
-               gnome-pkg-tools (>= 0.10),
-               gobject-introspection (>= 0.10.8),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Build-Depends: debhelper-compat (= 13),
+               cargo,
+               dh-sequence-gir,
+               dh-sequence-gnome,
                gtk-doc-tools (>= 1.13),
                jq,
                libcairo2-dev (>= 1.2.0),
@@ -22,13 +23,13 @@
                libpango1.0-dev (>= 1.44.0),
                libxml2-dev (>= 2.9.0),
                locales,
-               rustc (>= 1.40),
+               rustc (>= 1.52),
                valac (>= 0.17.5)
 Build-Depends-Indep: libcairo2-doc (>= 1.15.4) <!nodoc>,
                      libgdk-pixbuf2.0-doc (>= 2.23.5-2) <!nodoc>,
                      libglib2.0-doc (>= 2.52.0) <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/librsvg
 Vcs-Git: https://salsa.debian.org/gnome-team/librsvg.git
 Homepage: https://wiki.gnome.org/Projects/LibRsvg
