=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
export CARGO_HOME = $(CURDIR)/debian/cargo-home
NULL =

ifneq ($(filter i386,$(DEB_HOST_ARCH_CPU)),)
$(info Increasing reftest tolerance to account for legacy i387 FPU)
export RSVG_TEST_TOLERANCE=20
endif

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	mkdir -p $(CARGO_HOME)
	cp -a debian/a-link-purple-bg.png tests/fixtures/cmdline/a-link-purple-bg.png
	dh_auto_configure -- \
		--enable-pixbuf-loader \
		--enable-installed-tests \
		--enable-introspection \
		--enable-vala \
		--enable-gtk-doc \
		GDK_PIXBUF_QUERYLOADERS=/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders \
		$(NULL)

override_dh_install:
	find debian/tmp -name '*.a' -print -delete
	find debian/tmp -name '*.la' -print -delete
	rm -f debian/tmp/usr/bin/rsvg-view-3
	dh_install
	sed -e "s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" debian/librsvg2-common.postinst.in > \
		debian/librsvg2-common.postinst

override_dh_installchangelogs:
	dh_installchangelogs -XChangeLog

override_dh_clean:
	dh_clean -X.bak
	rm -fr $(CARGO_HOME)
ifneq ($(filter i386,$(DEB_HOST_ARCH_CPU)),)
	rm -f tests/fixtures/reftests/svg1.1/filters-composite-02-b.svg
	rm -f tests/fixtures/reftests/svg1.1/filters-composite-02-b-ref.png
endif
	rm -f tests/fixtures/reftests/svg1.1/text-text-03-b.svg
	rm -f tests/fixtures/reftests/svg1.1/text-text-03-b-ref.png

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p $(CURDIR)/debian/locales
	localedef -i en_US -f UTF-8 $(CURDIR)/debian/locales/en
	localedef -i en_US -f UTF-8 $(CURDIR)/debian/locales/en_US
	localedef -i de_DE -f UTF-8 $(CURDIR)/debian/locales/de
ifneq ($(filter i386 s390x,$(DEB_HOST_ARCH_CPU)),)
	LOCPATH=$(CURDIR)/debian/locales dh_auto_test -- TESTS=$(TESTS) || true
	echo "ignoring tests result on i386"
else
	LOCPATH=$(CURDIR)/debian/locales dh_auto_test -- TESTS=$(TESTS)
	find debian -name '*.log' \
		-not -name config.log \
		-not -name test-suite.log \
		-print0 | xargs -0 tail -v -c1M
endif
endif

override_dh_auto_test-indep:
	@:
