=== debian/tests/control ===
Tests: build
Depends: build-essential, librsvg2-dev
Restrictions: allow-stderr, superficial

Tests: convert
Depends: file, librsvg2-bin
Restrictions: allow-stderr, superficial
