## librsvg 2.54.4+dfsg

=== debian/changelog ===
librsvg (2.54.4+dfsg-1ubuntu1) kinetic; urgency=medium

  * Don't fail the build on tests error for i386

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 08 Sep 2022 10:10:28 +0200

librsvg (2.54.4+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/librsvg2-2.docs: NEWS was renamed to NEWS.md

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Jun 2022 14:12:21 -0400

librsvg (2.54.3+dfsg-1) unstable; urgency=medium

  * Team upload
  * d/clean: Fix build-twice-in-a-row (Closes: #1012017)
  * New upstream release
  * d/librsvg2-doc.install: Update for new upstream documentation
    install location
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 29 May 2022 14:34:09 +0100

librsvg (2.54.1+dfsg-1) experimental; urgency=medium

  * Team upload
  * d/control.in: Drop compatibility with old libgdk-pixbuf2.0-dev
    package
  * d/copyright: Exclude larger web and Windows dependencies, to avoid
    needing to keep track of their contents
  * New upstream release
  * d/control.in: Update build-dependencies
  * d/rules: Disable gi-docgen if not building -doc package
  * d/rules: Disable man pages in nodoc build profile
  * Refresh patch series
  * Tolerate some reftest differences
  * d/rules, d/log-reftests.py: Output diffs as base64 for analysis
  * Update documentation installation directories for gi-docgen
  * Fix a malformed Lintian override

 -- Simon McVittie <smcv@debian.org>  Sun, 08 May 2022 12:13:23 +0100
