## librsvg 2.54.5%2Bdfsg

=== debian/changelog ===
librsvg (2.54.5+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/librsvg2-2.docs: NEWS.md -> NEWS

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 22 Sep 2022 17:00:54 -0400
