=== debian/control ===
--- 
+++ 
@@ -5,29 +5,26 @@
 Source: librsvg
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                cargo,
                dh-sequence-gir,
                dh-sequence-gnome,
-               gtk-doc-tools (>= 1.13),
                jq,
                libcairo2-dev (>= 1.2.0),
                libfreetype6-dev (>= 2.8.0),
-               libgdk-pixbuf-2.0-dev (>= 2.23.5-2) | libgdk-pixbuf2.0-dev (>= 2.23.5-2),
+               libgdk-pixbuf-2.0-dev (>= 2.23.5-2),
                libgirepository1.0-dev (>= 0.10.8),
                libglib2.0-dev (>= 2.50.0),
                libharfbuzz-dev,
-               libpango1.0-dev (>= 1.44.0),
+               libpango1.0-dev (>= 1.48.11),
                libxml2-dev (>= 2.9.0),
                locales,
-               rustc (>= 1.52),
+               python3-docutils <!nodoc>,
+               rustc (>= 1.56),
                valac (>= 0.17.5)
-Build-Depends-Indep: libcairo2-doc (>= 1.15.4) <!nodoc>,
-                     libgdk-pixbuf2.0-doc (>= 2.23.5-2) <!nodoc>,
-                     libglib2.0-doc (>= 2.52.0) <!nodoc>
+Build-Depends-Indep: gi-docgen <!nodoc>,
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/librsvg
@@ -39,7 +36,7 @@
 Architecture: any
 Depends: gir1.2-rsvg-2.0 (= ${binary:Version}),
          libcairo2-dev (>= 1.2.0),
-         libgdk-pixbuf-2.0-dev (>= 2.23.5-2) | libgdk-pixbuf2.0-dev (>= 2.23.5-2),
+         libgdk-pixbuf-2.0-dev (>= 2.23.5-2),
          libglib2.0-dev (>= 2.50.0),
          librsvg2-2 (= ${binary:Version}),
          librsvg2-common (= ${binary:Version}),
