=== debian/rules ===
--- 
+++ 
@@ -74,10 +74,6 @@
 	localedef -i en_US -f UTF-8 $(CURDIR)/debian/locales/en
 	localedef -i en_US -f UTF-8 $(CURDIR)/debian/locales/en_US
 	localedef -i de_DE -f UTF-8 $(CURDIR)/debian/locales/de
-ifneq ($(filter i386,$(DEB_HOST_ARCH_CPU)),)
-	LOCPATH=$(CURDIR)/debian/locales dh_auto_test || true
-	echo "ignoring tests result on i386"
-else
 	failed=0; \
 	LOCPATH=$(CURDIR)/debian/locales dh_auto_test || failed=1; \
 	find debian -name '*.log' \
@@ -87,7 +83,6 @@
 	debian/log-reftests.py; \
 	exit $$failed
 endif
-endif
 
 override_dh_auto_test-indep:
 	@:
