## librsvg 2.54.5+dfsg

=== debian/changelog ===
librsvg (2.54.5+dfsg-1ubuntu2) lunar; urgency=medium

  * Don't fail the build on tests issues on s390x

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 21 Mar 2023 15:45:43 +0100

librsvg (2.54.5+dfsg-1ubuntu1) lunar; urgency=medium

  * Merge from Debian Unstable (LP: #2006633). Remaining changes:
    - Don't fail the build on tests error for i386

 -- Amin Bandali <bandali@canonical.com>  Wed, 08 Feb 2023 14:16:13 -0500
