## librsvg 2.54.7+dfsg

=== debian/changelog ===
librsvg (2.54.7+dfsg-1~deb12u1) bookworm-security; urgency=medium

  * Team upload
  * Rebuild for bookworm-security

 -- Simon McVittie <smcv@debian.org>  Sun, 30 Jul 2023 17:13:13 +0100

librsvg (2.54.7+dfsg-1) unstable; urgency=high

  * Team upload
  * New upstream stable release 2.54.6
    - Fix a directory traversal vulnerability
      (Closes: #1041810, CVE-2023-38633)
    - Drop a redundant test-case that frequently regressed as a result of
      non-problematic font rendering changes
  * New upstream stable release 2.54.7
    - Fix compilation of 2.54.6 on rustc < 1.58
  * d/rules: Skip several known-failing reftests on big-endian architectures.
    These succeeded when librsvg_2.54.5+dfsg-1 was uploaded in September
    2022, but regressed sometime between then and the bookworm release,
    presumably as a result of changes in some other package.
    (Mitigates: #1038447)

 -- Simon McVittie <smcv@debian.org>  Sun, 30 Jul 2023 15:13:38 +0100

librsvg (2.54.5+dfsg-3) unstable; urgency=medium

  * Team upload
  * d/p/debian/tests-Skip-known-failing-tests-on-i386.patch:
    Skip two tests that have started failing on i386 since October 2022
    (Mitigates: #1038252)

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Jun 2023 18:53:35 +0100

librsvg (2.54.5+dfsg-2) unstable; urgency=medium

  * Restore the librsvg2-tests build and corresponding autopkgtests
    which were set up a while ago but disabled to avoid having the upload
    blocked in the Debian NEW queue. Include the svg needed for the tests.

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 13 Jun 2023 17:25:43 +0200
