=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: librsvg
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                cargo,
@@ -100,6 +99,18 @@
  This package includes a command-line utility to convert the SVG files
  to the PNG format.
 
+Package: librsvg2-tests
+Section: misc
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Description: automated tests for RSVG library
+ The rsvg library is an efficient renderer for Scalable Vector Graphics
+ (SVG) pictures.
+ .
+ This package contains automated tests, which can be run with
+ gnome-desktop-testing or autopkgtest.
+
 Package: gir1.2-rsvg-2.0
 Section: introspection
 Architecture: any
