=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||, \
repack,dversionmangle=s/[~+]dfsg[0-9]*//g,repacksuffix=+dfsg" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	[\d.]+[02468]/@PACKAGE@-([\d.]+)@ARCHIVE_EXT@
