## librsvg 2.58.0%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -28,14 +28,9 @@
 
 override_dh_auto_configure:
 	mkdir -p $(CARGO_HOME)
-	cp -a debian/a-link-purple-bg.png tests/fixtures/cmdline/a-link-purple-bg.png
-	# We removed the source code of these packages to reduce the amount
-	# of vendored code to review, but cargo will report errors if there
-	# isn't at least a stub there
-	set -e; for package in js-sys web-sys windows-sys; do \
-		mkdir -p vendor/$$package/src; \
-		touch vendor/$$package/src/lib.rs; \
-	done
+	cp -a debian/a-link-purple-bg.png rsvg_convert/tests/fixtures/a-link-purple-bg.png
+	install -d debian/missing-sources/system-deps/src/tests/lib
+	touch debian/missing-sources/system-deps/src/tests/lib/libteststatic.a
 	dh_auto_configure -- \
 		--enable-pixbuf-loader \
 		--enable-installed-tests \
@@ -53,6 +48,14 @@
 	sed -e "s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" debian/librsvg2-common.postinst.in > \
 		debian/librsvg2-common.postinst
 
+# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
+# quite right for installed-tests
+override_dh_fixperms:
+	dh_fixperms -Xusr/libexec/rsvg/tests
+ifneq ($(filter %-tests,$(built_binaries)),)
+	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/rsvg/tests
+endif
+
 override_dh_installchangelogs:
 	dh_installchangelogs -XChangeLog
 
@@ -68,36 +71,34 @@
 	# September 2022 and June 2023 as a result of changes in some other
 	# package.
 	# https://bugs.debian.org/1038447, GNOME/librsvg#972
-	rm -f tests/fixtures/reftests/svg1.1/coords-viewattr-02-b.svg
+	rm -f rsvg/tests/fixtures/reftests/svg1.1/coords-viewattr-02-b.svg
 	# https://bugs.debian.org/1038447, GNOME/librsvg#973
-	rm -f tests/fixtures/reftests/filter-kernel-unit-length.svg
+	rm -f rsvg/tests/fixtures/reftests/filter-kernel-unit-length.svg
 	# https://bugs.debian.org/1038447, GNOME/librsvg#974
-	rm -f tests/fixtures/reftests/svg1.1/filters-composite-04-f.svg
+	rm -f rsvg/tests/fixtures/reftests/svg1.1/filters-composite-04-f.svg
 	# https://bugs.debian.org/1038447, GNOME/librsvg#975
-	rm -f tests/fixtures/reftests/svg1.1/filters-conv-02-f.svg
+	rm -f rsvg/tests/fixtures/reftests/svg1.1/filters-conv-02-f.svg
 	# https://bugs.debian.org/1038447, GNOME/librsvg#976
-	rm -f tests/fixtures/reftests/svg1.1/filters-conv-03-f.svg
+	rm -f rsvg/tests/fixtures/reftests/svg1.1/filters-conv-03-f.svg
 	# https://bugs.debian.org/1038447, GNOME/librsvg#977
-	rm -f tests/fixtures/reftests/svg1.1/filters-conv-04-f.svg
+	rm -f rsvg/tests/fixtures/reftests/svg1.1/filters-conv-04-f.svg
 	# https://bugs.debian.org/1038447, GNOME/librsvg#978
-	rm -f tests/fixtures/reftests/svg1.1/filters-image-01-b.svg
+	rm -f rsvg/tests/fixtures/reftests/svg1.1/filters-image-01-b.svg
 	# https://bugs.debian.org/1038447, GNOME/librsvg#979
-	rm -f tests/fixtures/reftests/svg1.1/filters-image-02-b.svg
+	rm -f rsvg/tests/fixtures/reftests/svg1.1/filters-image-02-b.svg
 	# https://bugs.debian.org/1038447, GNOME/librsvg#980
-	rm -f tests/fixtures/reftests/svg1.1/filters-image-03-f.svg
+	rm -f rsvg/tests/fixtures/reftests/svg1.1/filters-image-03-f.svg
 	# https://bugs.debian.org/1038447, GNOME/librsvg#981
-	rm -f tests/fixtures/reftests/svg1.1/filters-image-05-f.svg
+	rm -f rsvg/tests/fixtures/reftests/svg1.1/filters-image-05-f.svg
 	# https://bugs.debian.org/1038447, GNOME/librsvg#982
-	rm -f tests/fixtures/reftests/svg1.1/pservers-grad-05-b.svg
+	rm -f rsvg/tests/fixtures/reftests/svg1.1/pservers-grad-05-b.svg
 	# https://bugs.debian.org/1038447, GNOME/librsvg#983
-	rm -f tests/fixtures/reftests/svg1.1/pservers-grad-06-b.svg
+	rm -f rsvg/tests/fixtures/reftests/svg1.1/pservers-grad-06-b.svg
 	# https://bugs.debian.org/1038447, GNOME/librsvg#984
-	rm -f tests/fixtures/reftests/svg1.1/struct-symbol-01-b.svg
+	rm -f rsvg/tests/fixtures/reftests/svg1.1/struct-symbol-01-b.svg
 endif
-	rm -f tests/fixtures/reftests/bugs/730-font-scaling-ref.png
-	rm -f tests/fixtures/reftests/bugs/730-font-scaling.svg
-	rm -f tests/fixtures/reftests/svg1.1/text-text-03-b-ref.png
-	rm -f tests/fixtures/reftests/svg1.1/text-text-03-b.svg
+	rm -f rsvg/tests/fixtures/reftests/bugs/730-font-scaling-ref.png
+	rm -f rsvg/tests/fixtures/reftests/bugs/730-font-scaling.svg
 
 override_dh_auto_test-arch:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -110,6 +111,7 @@
 	find debian -name '*.log' \
 		-not -name config.log \
 		-not -name test-suite.log \
+		-not -path '*/.local/share/gvfs-metadata/*.log' \
 		-print0 | xargs -0 tail -v -c1M; \
 	debian/log-reftests.py; \
 	exit $$failed
